Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201484 - glusterfs-3.6.2 fails to build on Ubuntu Precise: 'RDMA_OPTION_ID_REUSEADDR' undeclared
Summary: glusterfs-3.6.2 fails to build on Ubuntu Precise: 'RDMA_OPTION_ID_REUSEADDR' ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: rdma
Version: 3.6.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: glusterfs-3.6.3
TreeView+ depends on / blocked
 
Reported: 2015-03-12 19:12 UTC by pille
Modified: 2015-12-11 16:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:32:17 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description pille 2015-03-12 19:12:46 UTC
PPA only provides packages for the latest LTS release.
the upstream bug report seems stalled: https://github.com/semiosis/glusterfs-debian/issues/7

Comment 2 Mohammed Rafi KC 2015-03-27 10:21:10 UTC
upstream patch : http://review.gluster.org/#/c/10014/

Comment 3 Anand Avati 2015-03-27 11:37:20 UTC
COMMIT: http://review.gluster.org/10014 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit ae75db655b683bb47df1590c7815c90b7cbefe4b
Author: kkeithle <kkeithle@precise.kkeithle.usersys.redhat.com>
Date:   Thu Mar 26 11:55:57 2015 -0400

    rdma: RDMA_OPTION_ID_REUSEADDR undeclared on Ubuntu Precise (LTS)
    
    Very old release of Ubuntu LTSwq
    
    Change-Id: Ib6fb4493f1f34ba853bd74c8037da7663639f40e
    BUG: 1201484
    Signed-off-by: kkeithle <kkeithle@precise.kkeithle.usersys.redhat.com>
    Reviewed-on: http://review.gluster.org/10014
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>

Comment 4 Anand Avati 2015-03-27 21:18:41 UTC
REVIEW: http://review.gluster.org/10028 (build:change dependency for librdmacm to version >= 1.0.15) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 5 Anand Avati 2015-04-13 09:02:43 UTC
REVIEW: http://review.gluster.org/10208 (rdma:smoke failure in NetBSD if RDMA_OPTION_ID_REUSEADDR is not defined) posted (#3) for review on release-3.6 by mohammed rafi  kc (rkavunga@redhat.com)

Comment 6 Anand Avati 2015-04-16 06:41:30 UTC
COMMIT: http://review.gluster.org/10208 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit c79d2b6836dc1c7223b90a9bb0af7940963ff0a5
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Mon Apr 13 11:55:42 2015 +0530

    rdma:smoke failure in NetBSD if RDMA_OPTION_ID_REUSEADDR is not defined
    
    By the change http://review.gluster.org/#/c/10014/, we only set
    reuseaddr option if the macro RDMA_OPTION_ID_REUSEADDR is defined in
    rdmacma.h . The variable optval is only used in the section where we
    use conditional compiling based on the macro. So if the macro is not
    defined, then compiler will throw a warning for optval.
    
    Change-Id: I162143c928e84b40c6fd6108d3aa5b045dd9de95
    BUG: 1201484
    Reviewed-on: http://review.gluster.org/10208
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Sachin Pandit <spandit@redhat.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    Tested-by: Raghavendra Bhat <raghavendra@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.